- Home
- API Enriched
- Other
- web
- Update customer data.
Update customer data.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/customer_data';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"customer_notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/customer_data \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "customer_notes": "example" }'Update customer-facing Real-time Incident Procedures Accessible by customers and internal support.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”X-example: { “customer_notes”: “Follow Tier 1 support guidelines, escalate after 30 minutes.” } Request message for updating customer-facing RTIP instructions and labels.
object
Public instructions or handling notes meant for customers.
Examplegenerated
{ "customer_notes": "example"}Responses
Section titled “Responses”A successful response.
Response returned after updating the customer-facing RTIP Procedures.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example